<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    xpath-default-namespace="urn:schemas-microsoft-com:office:spreadsheet" exclude-result-prefixes="#all">
    
    <xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes"/>
    
    <xsl:template match="Workbook">
      <html>
        <head>
          <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
           <title>Thesis-DB</title>
        </head>
        <body>
          <xsl:apply-templates select="Worksheet"/>
        </body>
      </html>
    </xsl:template>

    <xsl:template match="Worksheet">
      <table>
        <tbody id="thesen">
          <tr>
            <th style="width: 82%; padding-left: 10px; text-align: left;">Masterthesen</th>
            <th style="text-align: center;">Sperrvermerk</th>
          </tr>
          <xsl:apply-templates select="Table/Row[position() > 1]">
            <xsl:sort select="number(replace(substring-before(Cell[10]/Data, 'T'), '-', ''))" order="descending" data-type="number"/>
          </xsl:apply-templates>
        </tbody>
      </table>
    </xsl:template>

    <xsl:template match="Table/Row[position() > 1]">
        <tr>
          <td><xsl:value-of select="Cell[6]/Data"/></td>
          <td><xsl:value-of select="Cell[7]/Data"/></td>
        </tr>
    </xsl:template>

</xsl:stylesheet>